/* $EPIC:$ */
/*
 * window-front.h -- don't ask me why i named it that, i don't know.
 *
 * Copyright  2000 Jeremy Nelson and others ("EPIC Software Labs").
 * All rights reserved.
 * 
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notices, the above paragraph (the one permitting redistribution),
 *    this list of conditions and the following disclaimer in the 
 *    documentation and/or other materials provided with the distribution.
 * 3. The names of the author(s) may not be used to endorse or promote 
 *    products derived from this software without specific prior written
 *    permission.
 * 
 * THIS SOFTWARE IS PROVIDED BY THE AUTHORS ``AS IS'' AND ANY EXPRESS OR 
 * IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES 
 * OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
 * IN NO EVENT SHALL THE AUTHORS BE LIABLE FOR ANY DIRECT, INDIRECT, 
 * INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, 
 * BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
 * LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED 
 * AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, 
 * OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY 
 * OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF 
 * SUCH DAMAGE.
 */
#ifndef __window_front_h__
#define __window_front_h__

extern	int	normalize_never_xlate;
extern	int	normalize_permit_all_attributes;

/* Flag for prepare_display -- don't do word-wrapping, just truncate line */
#define PREPARE_NOWRAP  0x01

	const char *	all_off			(void);
	void		general_win_add		(Window *, const u_char *);
	void		irciiwin_display	(Window *, const u_char *);
	const u_char *	read_color_seq		(const u_char *, void *);
	u_char *	normalize_string	(const u_char *, int);
	u_char *	denormalize_string	(const u_char *);
	u_char **	prepare_display		(const u_char *, int, int *, int);
	int		output_with_count	(const u_char *, int, int);
	void		repaint_window		(Window *, int, int);

#endif
